#!/usr/bin/perl
#
# Splits the list of files and outputs for makefile type files
# wrapped at 80 chars
#
# Tom St Denis
use strict;
use warnings;

my @a = split ' ', $ARGV[1];
my $b = $ARGV[0] . '=';
my $len = length $b;
print $b;
foreach my $obj (@a) {
   $len = $len + length $obj;
   $obj =~ s/\*/\$/;
   if ($len > 100) {
      printf "\\\n";
      $len = length $obj;
   }
   print $obj . ' ';
}

print "\n\n";

# ref:         tag: v1.0.1-rc1
# git commit:  c107b6593a25a9329528664758bfb2c44e62cdbb
# commit time: 2017-08-28 17:06:32 +0200
