#!/bin/bash

bash genlist.sh > tmplist

perl filter.pl makefile tmplist
sed -e 's/ *$//' < tmp.delme > makefile
rm -f tmp.delme

perl filter.pl makefile.icc tmplist
sed -e 's/ *$//' < tmp.delme > makefile.icc
rm -f tmp.delme

perl filter.pl makefile.shared tmplist
sed -e 's/ *$//' < tmp.delme > makefile.shared
rm -f tmp.delme

perl filter.pl makefile.cygwin_dll tmplist
sed -e 's/ *$//' < tmp.delme > makefile.cygwin_dll
rm -f tmp.delme

perl filter.pl makefile.bcc tmplist
sed -e 's/\.o /.obj /g' -e 's/ *$//' < tmp.delme > makefile.bcc
rm -f tmp.delme

perl filter.pl makefile.msvc tmplist
sed -e 's/\.o /.obj /g' -e 's/ *$//' < tmp.delme > makefile.msvc
rm -f tmp.delme

rm -f tmplist

# ref:         tag: v1.0.1-rc1
# git commit:  c107b6593a25a9329528664758bfb2c44e62cdbb
# commit time: 2017-08-28 17:06:32 +0200
